<?php
include ("data/header.dat");
$data_r = file("temp/". $LMI_SYS_INVS_NO);
list($PAYEE_PURSE,$PAYMENT_AMOUNT,$PAYMENT_NO,$MODE,$SYS_INVS_NO,$SYS_TRANS_NO,$SYS_TRANS_DATE,$PAYER_PURSE,$PAYER_WM,$HASH) = split(">>", $data_r[0]);
$hash_t = $PAYEE_PURSE.$PAYMENT_AMOUNT.$PAYMENT_NO.$MODE.$SYS_INVS_NO.$SYS_TRANS_NO.$SYS_TRANS_DATE. "secret_key". $PAYER_PURSE.$PAYER_WM;
$hash = md5($hash_t);
$HASH = strtolower($HASH);
if($HASH == $hash) {
if ($dir = opendir("users/")) {
  while (($file = readdir($dir)) !== false) {
if($file == $WMZ) {
$fp = fopen("users/". $file, "r");
$f = fgets($fp, filesize("users/". $file) + 1);
$fp = fclose($fp);
$fp2 = fopen("data/next.dat", "r");
$id = fgets($fp2, filesize("data/next.dat") + 1);
$fp2 = fclose($fp2);
list($ip,$email,$di,$cash,$times,$magicb,$cash2,$paid)=split(">>", $f);


$fp4 = fopen("users/". $WMZ, "w");
fwrite($fp4, $ip. ">>". $email. ">>". $id. ">>0>>1>>0>>0>>paid" );
$fp4 = fclose($fp4);
$id2 = $id + 1;
$fp3 = fopen("data/next.dat", "w");
fwrite($fp3, $id2);
$fp3 = fclose($fp3);}
  }
  closedir($dir);
unlink("temp/". $LMI_SYS_INVS_NO);
echo "<center>Вы успешно приняты в Проект!</center>";
}
}else{echo "<center><font color=red size=15>Возможно произошла ошибка передачи данных, а возможно у вас, мистер кул хацкер, ручки не из того места растут :-)</font></center>";}
include ("data/foot.dat");
?>